import { LRLanguage, LanguageSupport } from "@codemirror/language";
declare const nobieLanguage: LRLanguage;
type MeasureNodeName = (typeof measureNodeNames)[number];
declare const measureNodeNames: readonly ["MeasureReference", "MachineMeasureReferenceWithUUID", "MachineMeasureReference", "MachineMeasureReferenceWithTableUUID"];
declare class NodeNames {
    measureNodeNames: readonly ["MeasureReference", "MachineMeasureReferenceWithUUID", "MachineMeasureReference", "MachineMeasureReferenceWithTableUUID"];
    stringNodeName: "String";
    private measureNodeNamesSet;
    isMeasureNode(name: string): boolean;
    isStringNode(name: string): boolean;
}
declare const nodeNames: NodeNames;
declare function nobie(): LanguageSupport;
export { nobieLanguage, MeasureNodeName, nodeNames, nobie };
